FSADM(8)

NAME
lvm_import_vdo — utility to import VDO volumes into a new volume group.

SYNOPSIS
lvm_import_vdo
    [options] device

DESCRIPTION
lvm_import_vdo utility imports VDO volumes created and managed by vdo(8) manager into lvm2(8) managed VDO LV. This is realized by moving VDO superblock by 2MiB and creating lvm2 metadata at the front of this device. The operation is not reversible, thus after conversion to lvm2 the access to VDO data is only possible with lvm2(8) commands, vdo(8) manager no longer control such volume.

OPTIONS

-f|--force
    Bypass some sanity checks.

-h|--help
    Display the help text.

-n|--name
    Specifies the name of converted VDO LV. When the name is not specified, some automatic name is selected. In case the converted VDO volume is already using LV a backend device, the name of this LV is used for VDO LV. In this case also the of volume group must stay same. Automatic name may change between releases and currently selects "vdolv" as LV name and VG name is selected from sequence "vdovg", "vdovg1", ...

-v|--verbose
    Be more verbose.

-y|--yes
    Answer "yes" at any prompts.

--dry-run
    Print verbosely commands without running them.

DIAGNOSTICS
On successful completion, the status code is 0. A status code of 1 is used for failure.

EXAMPLES
Convert VDO volume created by vdo manager into logical volume LV1 with within volume group VG1.

# lvm_import_vdo --name VG1/LV1 /dev/mapper/vdo-volume

ENVIRONMENT VARIABLES

TMPDIR
    The temporary directory name for mount points. Defaults to "/tmp".

DM_DEV_DIR
    The device directory name. Defaults to "/dev" and must be an absolute path.

SEE ALSO
lvm(8), lvm.conf(5),

vdo(8),